package cn.iocoder.yudao.module.member.service.user;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.member.controller.admin.user.vo.MemberCardConsumptionPageReqVO;
import cn.iocoder.yudao.module.member.dal.dataobject.user.MemberCardConsumptionDO;

/**
 * 会员卡消费 Service 接口
 *
 * @author 系统管理员
 */
public interface MemberCardConsumptionService {


    Long createMemberCardConsumption(MemberCardConsumptionDO createReqVO);

    MemberCardConsumptionDO getCardConsumption(Long id);

    void cancel(MemberCardConsumptionDO updateReqVO);

    PageResult<MemberCardConsumptionDO> getCardConsumptionPage(MemberCardConsumptionPageReqVO pageReqVO);
}